Skip to main content
GET
/
webhooks
TypeScript
const response: Promise<FireblocksResponse<WebhookPaginatedResponse>> = fireblocks.webhooksV2.getWebhooks(webhooksV2ApiGetWebhooksRequest);
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "url": "https://example.com/webhook",
      "events": [
        "transaction.created",
        "transaction.status.updated"
      ],
      "status": "ENABLED",
      "createdAt": 1625126400000,
      "updatedAt": 1625126400000,
      "description": "This webhook is used for transactions notifications"
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC
Example:

"ASC"

pageCursor
string

Cursor of the required page

pageSize
number
default:10

Maximum number of items in the page

Required range: 1 <= x <= 100
Example:

10

Response

A paginated response containing WebhookDto objects

data
object[]
required

The data of the current page

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"